agentc
GitHubagentc-sh/agentc
agentc
GitHubagentc-sh/agentc
›Introduction
Get started›Concepts in 5 minutes›Build your first agent›Add your first tool›Serve and connect
Concepts›Architecture overview›The manifest›The compilation pipeline›Archetypes›The graph›Tools and capabilities›Runtime libraries›Skills›Agents and prompts›Serving and protocols›Observability
Guides›Author a manifest›Write a tool›Give your agent a filesystem›Control network egress›Connect external tools via MCP›Connect agents via A2A›Use the bash tool›Control tool access with capabilities›Write templated prompts›Manage prompts with Langfuse›Pass context from the client›Configure a model provider›Connect a CopilotKit frontend›Deploy a standalone binary›Deploy with Docker and PostgreSQL›Instrument with OpenTelemetry›Extend code generation with blocks
Reference
Manifest
Runtime
ReAct
HTTP
›Sessions›Messages›Runs›Checkpoints
›Prompt templates›State
›Observability

Sessions

The native HTTP endpoints for creating, finding, reading, and deleting sessions.

A session is the durable conversation boundary. These endpoints create, list, read, and delete sessions.

Find sessions

Find sessions with optional filtering and pagination.

GET/v1/sessions

Find sessions with optional filtering and pagination.

Query parametersin: query
per_page
integer | nulldefault: 100

Maximum page size.

page
string | null

Opaque cursor for the next page.

ids
string[] | null

Session IDs to filter on.

created_before
string | null

Filter by creation time.

created_after
string | null

Filter by creation time.

updated_before
string | null

Filter by update time.

updated_after
string | null

Filter by update time.

Responses

Create a new session

Create a new session with the specified parameters.

POST/v1/sessions

Create a new session with the specified parameters.

Request bodyin: body
id
string | null

Optional session ID. If omitted, one is generated automatically.

Responses

Get a session by ID

Get a session by its ID.

GET/v1/sessions/{session_id}

Get a session by its ID.

Path parametersin: path
session_id
string

The session ID.

Responses

Delete a session by ID

Delete a session by its ID.

DELETE/v1/sessions/{session_id}

Delete a session by its ID.

Path parametersin: path
session_id
string

The session ID.

Responses

← PreviousHTTP referenceNext →Messages

© 2026 pogue.dev. All rights reserved.

Creative CommonsCC BY 4.0
On this pageFind sessionsCreate a new sessionGet a session by IDDelete a session by ID

Search docs

Search the agentc documentation